import request from "@/utils/request"

/** 项目与补贴 — 项目 — 分页列表 */
export function listSubsidyProject(query) {
  return request({
    url: "/industryPolicy/subsidyProject/list",
    method: "get",
    params: query
  })
}

export function getSubsidyProject(id) {
  return request({
    url: "/industryPolicy/subsidyProject/" + id,
    method: "get"
  })
}

export function addSubsidyProject(data) {
  return request({
    url: "/industryPolicy/subsidyProject",
    method: "post",
    data
  })
}

export function updateSubsidyProject(data) {
  return request({
    url: "/industryPolicy/subsidyProject",
    method: "put",
    data
  })
}

export function delSubsidyProject(ids) {
  return request({
    url: "/industryPolicy/subsidyProject/" + ids,
    method: "delete"
  })
}

export function publishSubsidyProject(id) {
  return request({
    url: "/industryPolicy/subsidyProject/publish/" + id,
    method: "post"
  })
}

export function offlineSubsidyProject(id) {
  return request({
    url: "/industryPolicy/subsidyProject/offline/" + id,
    method: "post"
  })
}
